Ben
Burton
12 aprile 2003
kapptemplate
1

# `kapptemplate`

Crea la struttura base per sviluppare un'applicazione KDE

    kapptemplate --noinit --default --full-app --kpart-app --kpart-plugin --existing --help

## Descrizione

`kapptemplate` è uno script di shell che creerà la struttura necessaria per sviluppare varie applicazioni &kde;. Si prende cura del codice di autoconf/automake e di fornire del codice base e un esempio di come sarà il codice.

Questa applicazione è parte del pacchetto di sviluppo software di &kde;.

## Opzioni

### Opzioni generali

`--help`

  Mostra un riepilogo completo delle opzioni.

`--no-init`

  Non esegue `make` `-f` `Makefile.cvs`

`--default`

  Usa i valori predefiniti invece di chiederli.

### Tipi di struttura base

`--full-app`

  Crea un'applicazione KDE completa.

`--kpart-app`

  Crea un'applicazione KPart completa.

`--kpart-plugin`

  Crea la struttura di un plugin KPart.

`--existing`

  Converte del codice esistente in una struttura di KDE che usa automake/autoconf.

## File

`~/.kapptemplate`

  Contiene i valori predefiniti

## Vedi anche

`$PREFIX/share/doc/kapptemplate`

## Autori

`kapptemplate` è stato scritto da &Kurt.Granroth; &Kurt.Granroth.mail;

Questa pagina di manuale è stata scritta da Ben Burton bab@debian.org